Push
Check Push Import Settings
Warnings to review before importing push devices
GET
/
api
/
v1
/
push
/
imports
/
preflight
Check Push Import Settings
curl --request GET \
--url https://api.sequenzy.com/api/v1/push/imports/preflight \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/push/imports/preflight"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/push/imports/preflight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sequenzy.com/api/v1/push/imports/preflight",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sequenzy.com/api/v1/push/imports/preflight"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sequenzy.com/api/v1/push/imports/preflight")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sequenzy.com/api/v1/push/imports/preflight")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"warnings": [
{
"code": "ios_not_configured",
"severity": "warning",
"message": "APNs is not set up. iOS devices are imported but receive nothing until you add an APNs key from the same Apple team, for the same bundle ID your app used with OneSignal."
},
{
"code": "web_push_excluded",
"severity": "info",
"message": "Web push subscriptions are not imported: browsers tie them to the previous provider's keys, so they cannot be moved. Visitors re-subscribe through the Sequenzy web SDK on your site."
}
]
}
{
"error": "Validation error"
}
{
"error": "Invalid API key"
}
{
"error": "API key is missing required scope: subscribers:read"
}
Checks your push settings for an import. Imported tokens only work with the bundle ID, Apple team and Firebase project your app used with the previous provider, so this warns when APNs or Firebase is not set up yet, or when APNs is on sandbox. Show these to the person starting the import. Requires the
subscribers:read scope.
Request
string
required
onesignal, braze, customer_io, or csv.string
Comma-separated
ios,android. Defaults to both. Any other value returns 400.curl "https://api.sequenzy.com/api/v1/push/imports/preflight?source=onesignal" \
--header "Authorization: Bearer $SEQUENZY_API_KEY"
Responses
{
"success": true,
"warnings": [
{
"code": "ios_not_configured",
"severity": "warning",
"message": "APNs is not set up. iOS devices are imported but receive nothing until you add an APNs key from the same Apple team, for the same bundle ID your app used with OneSignal."
},
{
"code": "web_push_excluded",
"severity": "info",
"message": "Web push subscriptions are not imported: browsers tie them to the previous provider's keys, so they cannot be moved. Visitors re-subscribe through the Sequenzy web SDK on your site."
}
]
}
{
"error": "Validation error"
}
{
"error": "Invalid API key"
}
{
"error": "API key is missing required scope: subscribers:read"
}
⌘I
Check Push Import Settings
curl --request GET \
--url https://api.sequenzy.com/api/v1/push/imports/preflight \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/push/imports/preflight"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/push/imports/preflight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sequenzy.com/api/v1/push/imports/preflight",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sequenzy.com/api/v1/push/imports/preflight"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sequenzy.com/api/v1/push/imports/preflight")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sequenzy.com/api/v1/push/imports/preflight")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"warnings": [
{
"code": "ios_not_configured",
"severity": "warning",
"message": "APNs is not set up. iOS devices are imported but receive nothing until you add an APNs key from the same Apple team, for the same bundle ID your app used with OneSignal."
},
{
"code": "web_push_excluded",
"severity": "info",
"message": "Web push subscriptions are not imported: browsers tie them to the previous provider's keys, so they cannot be moved. Visitors re-subscribe through the Sequenzy web SDK on your site."
}
]
}
{
"error": "Validation error"
}
{
"error": "Invalid API key"
}
{
"error": "API key is missing required scope: subscribers:read"
}